<template>
  <a-row :gutter="1">
    <a-col class="gutter-row" :span="24">
      <div class="layout">
        <InnerCtrlList  ref="refInnerCtrlList"/>
      </div>
    </a-col>
  </a-row>
</template>
<script lang="ts" setup>
  import { ref, onMounted } from 'vue';
  import InnerCtrlList from './components/InnerCtrlList.vue';
  
 

  const refInnerCtrlList = ref()

  function iniData() {
    refInnerCtrlList.value.iniData();
  }

  function handleSearch(srhTxt) {
    refInnerCtrlList.value.iniData(srhTxt);
  }

  // onMounted(async () => {
  //   iniData();
  // });

  defineExpose({
    iniData,
    handleSearch,
  });
</script>

<style scope>
  .layout {
    background: #fff;
    margin: 5px;
    overflow: hidden;
    height: 85vh;
  }
</style>
